> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coinversa.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get API public v1 live risk liquidations recent



## OpenAPI

````yaml /api-reference/openapi.json get /api/public/v1/live/risk/liquidations/recent
openapi: 3.1.0
info:
  title: coinversa-api
  version: 0.1.0
servers:
  - url: https://api.coinversa.ai
    description: Production
security: []
paths:
  /api/public/v1/live/risk/liquidations/recent:
    get:
      summary: Get API public v1 live risk liquidations recent
      operationId: get-api-public-v1-live-risk-liquidations-recent
      parameters:
        - explode: false
          in: query
          name: coin
          schema:
            type: string
        - explode: false
          in: query
          name: since
          schema:
            default: 7d
            type: string
        - explode: false
          in: query
          name: limit
          schema:
            default: 50
            format: int32
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecentLiquidationsBody'
          description: OK
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Bad Request
        '401':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Unauthorized
        '422':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Unprocessable Entity
        '429':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Too Many Requests
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Internal Server Error
      security:
        - apiKey: []
components:
  schemas:
    RecentLiquidationsBody:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.coinversa.ai/schemas/RecentLiquidationsBody.json
          format: uri
          readOnly: true
          type: string
        availability:
          $ref: '#/components/schemas/RiskAvailability'
        coin:
          type: string
        count:
          format: int64
          type: integer
        events:
          items:
            $ref: '#/components/schemas/GetRecentLiquidationsRow'
          type:
            - array
            - 'null'
        freshness:
          $ref: '#/components/schemas/RiskFreshness'
        generatedAt:
          type: string
        rollup:
          $ref: '#/components/schemas/RecentLiquidationsBodyRollupStruct'
        since:
          type: string
      required:
        - since
        - count
        - events
        - rollup
        - availability
        - freshness
        - generatedAt
      type: object
    APIError:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.coinversa.ai/schemas/APIError.json
          format: uri
          readOnly: true
          type: string
        code:
          description: Machine-readable error code
          type: string
        current_tier:
          description: Caller's effective tier
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        required_tier:
          description: Minimum tier for this operation
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
        upgrade_url:
          description: Where to upgrade
          type: string
      type: object
    RiskAvailability:
      additionalProperties: false
      properties:
        historicalClearinghouse:
          type: boolean
        liquidations:
          type: boolean
        liveCandles:
          type: boolean
        markPrices:
          type: boolean
        userActions:
          type: boolean
      required:
        - liquidations
        - userActions
        - historicalClearinghouse
        - liveCandles
        - markPrices
      type: object
    GetRecentLiquidationsRow:
      additionalProperties: false
      properties:
        address: {}
        closedPnl:
          format: double
          type:
            - number
            - 'null'
        coin:
          type: string
        liquidator: {}
        penaltyFee:
          format: double
          type:
            - number
            - 'null'
        pnlTier:
          type:
            - string
            - 'null'
        timestampMs:
          format: int64
          type: integer
      required:
        - address
        - coin
        - timestampMs
        - liquidator
        - penaltyFee
        - closedPnl
        - pnlTier
      type: object
    RiskFreshness:
      additionalProperties: false
      properties:
        historicalClearinghouse:
          type: string
        liquidations:
          type: string
        liveCandles:
          type: string
        livePositions:
          type: string
        longShort:
          type: string
        markPrices:
          type: string
      type: object
    RecentLiquidationsBodyRollupStruct:
      additionalProperties: false
      properties:
        totalClosedPnl:
          format: double
          type: number
        totalPenaltyFees:
          format: double
          type: number
      required:
        - totalPenaltyFees
        - totalClosedPnl
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
  securitySchemes:
    apiKey:
      description: Get one at https://coinversa.ai/developers
      in: header
      name: X-API-Key
      type: apiKey

````